Get shared Amazon SES limit request state
curl --request GET \
--url https://app.sendmux.ai/api/v1/providers/shared-amazon-ses-limit-request \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.sendmux.ai/api/v1/providers/shared-amazon-ses-limit-request"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.sendmux.ai/api/v1/providers/shared-amazon-ses-limit-request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sendmux.ai/api/v1/providers/shared-amazon-ses-limit-request"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": true,
"data": {
"limit": {
"can_request_increase": true,
"daily_limit": 1,
"is_near_limit": true,
"pending_request_id": "<string>",
"provider_id": "<string>",
"sent_today": 1,
"threshold_usage": 1,
"usage_ratio": 123
},
"pending_request": {
"approved_daily_limit": 123,
"created_at": "<string>",
"current_daily_limit": 1,
"current_daily_sent": 1,
"decided_at": "<string>",
"decision_note": "<string>",
"id": "slir_clxxxxxxxxxxxxxxxxxxxxxxxxx"
}
}
}Sending accounts
Get shared Amazon SES limit request state
Returns the shared Amazon SES daily limit state and any pending increase request.
GET
/
providers
/
shared-amazon-ses-limit-request
Get shared Amazon SES limit request state
curl --request GET \
--url https://app.sendmux.ai/api/v1/providers/shared-amazon-ses-limit-request \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.sendmux.ai/api/v1/providers/shared-amazon-ses-limit-request"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.sendmux.ai/api/v1/providers/shared-amazon-ses-limit-request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sendmux.ai/api/v1/providers/shared-amazon-ses-limit-request"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": true,
"data": {
"limit": {
"can_request_increase": true,
"daily_limit": 1,
"is_near_limit": true,
"pending_request_id": "<string>",
"provider_id": "<string>",
"sent_today": 1,
"threshold_usage": 1,
"usage_ratio": 123
},
"pending_request": {
"approved_daily_limit": 123,
"created_at": "<string>",
"current_daily_limit": 1,
"current_daily_sent": 1,
"decided_at": "<string>",
"decision_note": "<string>",
"id": "slir_clxxxxxxxxxxxxxxxxxxxxxxxxx"
}
}
}Authorizations
Sendmux API key. Use a root API key for Management API routes, or a mailbox credential for Mailbox API routes. Obtain keys from the dashboard under API Keys.
Response
200 - application/json
Shared Amazon SES limit request state
Available options:
true Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Hide child attributes
Hide child attributes
Required range:
x >= 0Required range:
x >= 0Example:
"slir_clxxxxxxxxxxxxxxxxxxxxxxxxx"
Available options:
pending, approved, denied, cancelled Was this page helpful?
Request a sending account limit increase
Previous
Request a shared Amazon SES daily limit increase
Next
⌘I